<?
if(time()<$row['kik']){
$re = mysql_query("SELECT name FROM rooms where rm = '9'");
$inam = mysql_fetch_array ($re);
$nam = $inam['name'];
$tyu='center';
$title="Стоп!";
head();
echo $fs1;
$tleft = $row['kik'] - time();
$tleft=ceil($tleft/ 60 / 60 / 24);
$whokik = $row['whokik'];
$whykik = $row['whykik'];
echo $div1.'<b>Ошибка!</b>'.$div9;
echo "<br />Вам запрещенно писать <b>".$tleft." дней</b><br/>";
echo "Причина: <b>".$whykik."</b><br/><br />";
echo $div1.'<a href="'.H2.'enter.php">На главную</a>'.$div9;
foot();
exit;
}

$que = @mysql_query( "select * from  `forum_subfor` where id='$id';" );
$dtm = @mysql_fetch_array( @$que );
if (mysql_affected_rows() == 0){
echo $fs1;
echo '<b>Такого раздела не существует!</b>';
echo $fs2;
foot();
exit;
}
$s_name = $dtm['name'];
$f = $dtm['section'];

$que = @mysql_query( "select * from  `forum_sections` where id='$f';" );
$dtm = @mysql_fetch_array( @$que );
$f_name = $dtm['name'];

if (empty($act)){
echo $fs1;




echo " <dl><dt></dt></dl><a href=\"".F."\">Форумы</a>|<a href=\"".F."subfs/$f\">$f_name</a>|<a href=\"".F."temes/$id\">$s_name</a><br />";


if ($wap==2||$wap==3) echo "<form action=\"\" method=\"post\">";
echo "Тема:<br/>";
echo "<input type=\"text\" name=\"theme\" maxlength=\"150\"/><br/>";
echo "Сообщение:<br/>";
echo'<textarea cols="'.$row['pole2'].'" rows="'.$row['pole1'].'" name="msg" ></textarea><br />';
echo '<input type="checkbox" name="privat" value="1"/>Оповещатьпо привату о оставленных сообщениях<br/>';
echo "<input type=\"hidden\" name=\"f\" value=\"$f\"/>";
echo "<input type=\"hidden\" name=\"sf\" value=\"$id\"/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"addtem\"/>";
echo "<input type=\"hidden\" name=\"act\" value=\"act\"/>";
if ($wap=="1"){
echo $fs1;
echo "<br /><anchor title=\"go\">Добавить<go href=\"\" method=\"post\">";
echo "<postfield name=\"theme\" value=\"$(theme)\"/>";
echo "<postfield name=\"msg\" value=\"$(msg)\"/>";
echo "<postfield name=\"f\" value=\"$f\"/>";
echo "<postfield name=\"sf\" value=\"$id\"/>";
echo "<postfield name=\"mod\" value=\"addtem\"/>";
echo "<postfield name=\"act\" value=\"act\"/>";
echo "<postfield name=\"privat\" value=\"privat\"/>";

echo "</go></anchor>";
echo $fs2;
echo "<br/><br />";
}else{
echo "<br /><input type=\"submit\" class=\"ibutton\" value=\"Добавить\" class=\"cp\"><br /><br />";
}

echo $fs2;

}else{

$theme = check($_POST['theme']);

$dtm = @mysql_fetch_array(mysql_query( "select * from  `forum_sections`" ));

$user = $row['id'];

$theme = substr($theme, 0, 150);
$msg = substr($msg, 0, 1000);

if ($row["translit"]==1) $theme = translit($theme);

$theme = no_br($theme);

$prev = @mysql_fetch_array(mysql_query(@"select `name` from `forum_topic` where name='$theme' limit 1;"));

if (empty($theme)){
echo $fs1;
echo "<b>Вы не заполнили тему!</b>";
echo $fs2;

}else if (empty($msg)){
echo $fs1;
echo "<b>Вы не заполнили сообщение!</b>";
echo $fs2;

}else{
if ($theme == $prev['name']){
echo $fs1;
echo "<b>Такая тема уже есть!</b>";
echo $fs2;

}else{
if (empty($privat))$privat = 0;

$add = "Insert into forum_topic set section='".$f."', login ='".$user."', name='".$theme."', close=0, time='".time()."', subfor = '".$id."', privat = '".$privat."'";
if (mysql_query($add)){
$idt=mysql_insert_id();

$msg = check($_POST['msg']);

if ($row["translit"]==1) $msg = translit($msg);

$msg = iconv('utf-8', 'windows-1251', $msg);
if (($myid==10)||($myid==11))$msg=substr($msg, 0, 2000);
else $msg=substr($msg, 0, 1000);
$msg = iconv('windows-1251', 'utf-8', $msg);


$q2 = @mysql_query( @"select * from  `users` WHERE id = '$nk' ;" );
$sect2 = @mysql_fetch_array( @$q2 );
if (!empty($nk)) $msg = "".$sect2['user'].", ".$msg."";


@mysql_query("Insert into forum_message set topic='".$idt."', login ='".$row['id']."', msg='".$msg."',time='".time()."', section='".$f."', subfor = '".$id."'");
mysql_query ("Update users set posts='".($row["posts"]+1)."', postsf='".($row["postsf"]+1)."', dayp='".($row["dayp"]+1)."' where id ='".$myid."'");

if ($f!=3){
$msgs = "Тема успешно создана! В теме строго ЗАПРЕЩЕНЫ нецензурные выражения, флейм, флуд(кроме привата)...,создание \"пустых\", неинформативных сообщений,и пр., что запрещают правила сайта!(всё это не относитса к разделу Общение!)!Нарушители данных правил могут быть лишены доступа на форум.Внимание! Этот пост сгенерирован роботом, и отвечать на него ненужно!";

@mysql_query("Insert into forum_message set topic='".$idt."', login ='1', msg='".$msgs."',time='".(time()+1)."', section='".$f."', subfor = '".$id."'");
}

/*$q2 = @mysql_query( @"SELECT * from `forum_topic` WHERE `id` != '".$idt."';");
while($mss = @mysql_fetch_array(@$q2)){
$msg0 = "Короче создана тема $theme... )))";
@mysql_query("Insert into forum_message set topic='".$mss['id']."', login ='1', msg='".$msg0."',time='".(time()-1)."', section='".$mss['section']."', subfor = '".$mss['subfor']."'");
mysql_query("update `forum_topic` set time='".((time())-1)."' where id='".$mss['id']."';");
}*/
echo $fs1;
echo "<div>Тема успешно добавленна!</div>";
header("Location: ".F."tema/$idt");
echo "<a href=\"?f=$f&amp;sf=$id\"><b>Назад</b></a><br />";
mysql_query( "update `forum_sections` set time='".time()."' where id='".$f."';" );   echo $fs2;

}
else
{   echo $fs1;
$msg = "<div>Произошла ошибка...</div>";
echo $fs2;

}
}
}
echo $fs2;
}
?>